Redmine - Feature #2222

Single section edit.
2008-11-21 21:33 - Leonid Myravyev

Status: Closed Start date: 2008-11-21
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 100%
Category: Wiki Estimated time: 0.00 hour
Target version: 1.3.0

Resolution: Fixed

Description

Hi, folks!

Wiki don't have feature to edit single section on page. (see mediawiki)

| think it maybe good.

Thanks.

Related issues:

Related to Redmine - Defect #9673: Angle brackets within 'pre' blocks are sil... Closed 2011-11-28
Related to Redmine - Defect #10199: No wiki section edit when title contains ... Closed

Associated revisions

Revision 7829 - 2011-11-18 17:25 - Jean-Philippe Lang
Wiki: allows single section edit (#2222).

Revision 7830 - 2011-11-18 17:31 - Jean-Philippe Lang
Do not show section edit links for wiki page history (#2222).

Revision 7831 - 2011-11-18 17:41 - Jean-Philippe Lang

Handle the case of a text formatter that doesn't support section edit (#2222).

Revision 7835 - 2011-11-18 19:22 - Jean-Philippe Lang

Fixes section edit links when text includes pre/code tag (#2222).

History

#1 - 2008-11-26 15:38 - Richard Pecl

+1

#2 - 2008-12-15 17:26 - Michael Aye

+1

#3 - 2009-01-06 14:03 - Zbyszek Szmek

+1

#4 - 2009-01-07 00:13 - Jerome Vanthournout

+1

#5 - 2009-02-17 09:53 - Jone Marius Vignes

+1 This would be very nice

#6 - 2009-03-05 14:30 - Juan Pablo Saraceno

+1 | believe this is the only detail on which Redmine's wiki doesn't beat mediawiki

#7 - 2009-03-09 07:29 - kju kju

+1
Editing large wiki pages is cumbersome without.
Would be a great addition!

#8 - 2009-03-23 04:24 - Alain D.

+1 when maintaining a document (let's say a scope statement) in the redmine wiki, if it begins to be big, we have to split it in different pages (as it's
really hard to find where to do the edits), but nor the include macro nor the child_pages are sufficient to offer a one page view of this document (the
toc doesn't cover the included pages sections)

The ideal solution would be to keep this document in a single page, but to be able to edit only parts of it (as does many existing wiki platforms)

#9 - 2009-05-15 11:43 - Manuel Studer
- % Done changed from 0 to 80

Hi folks. I've implemented this feature for the stable release v.0.8 and we are going to test this in the following two weeks. So stay tuned. ;)
#10 - 2009-05-15 11:44 - Manuel Studer

Manuel Studer wrote:

Hi folks. I've implemented this feature for the stable release v. 0.8 and we are going to test this in the following two weeks. So stay tuned. ;)

#11 - 2009-06-04 13:40 - Manuel Studer

- File Screenshot-Redmine.jpg added

- % Done changed from 80 to 90

I'm going to release the modification as a patch within the next days. | used Nokogiri for HTML parsing, so you'll need to install it.

And it works nice so far. Check out the screenshot.

#12 - 2009-06-10 10:46 - Manuel Studer

- File wiki_section_edit-v0-9.patch added

- % Done changed from 90 to 100

Hi folks,

Here is the first release for Redmine 0.8. As | said, you need Nokogiri. On a RHEL or Centos System you can install Nokogiri like the following:

sudo yum install libxml2 libxml2-devel libxslt libxslt-devel
sudo gem install nokogiri

Then install the patch:

patch -p0 < wiki_section_edit-v0-9.patch
Let me know if it works for you.

Cheers,
Manuel

If you want to remove the patch:

patch -p0 -R < wiki_section_edit-v0-9.patch

#13 - 2009-06-10 11:39 - Leonid Myravyev
Thanks!

But rubyforge.org is down :-(
#14 - 2009-06-11 13:51 - Leonid Myravyev

It work!
Thank you very much. :-)
http://nokogiri.rubyforge.org/

#15 - 2009-11-12 16:53 - Ben Oakes

+1
Is this in version 0.8 now? If not, it'd be nice to have still.
#16 - 2009-11-12 16:54 - Ben Oakes
Ben Oakes wrote:
+1

Is this in version 0.8 now? If not, it'd be nice to have still.

By the way, we're on Redmine 0.8.4.stable.2819 (MySQL) and | don't see it.

#17 - 2009-12-08 07:26 - Shahim Essaid
- % Done changed from 100 to 50

+1

It would be great if you could updated this patch or add it to trunk.

| tried applying this patch to trunk #1329 and it failed. | applied it manually but this lead to exceptions. | am not a Ruby/Rails programmer and |
couldn't figure out the problem.

#18 - 2010-02-01 15:43 - Manuel Studer
- File redmine-0.9-r3357-wiki_section-v1.patch added

Leonid Myravyev wrote:

Hi, folks!

Wiki don't have feature to edit single section on page. (see mediawiki)
| think it maybe good.

Thanks.

Here is the updated patch for trunk r3357. Let me know if it works for you.

#19 - 2010-02-01 15:53 - Manuel Studer
- File redmine-0.9-r3357-wiki_section-v1-1.patch added

Manuel Studer wrote:
Leonid Myravyev wrote:

Hi, folks!

Wiki don't have feature to edit single section on page. (see mediawiki)
| think it maybe good.

Thanks.

Here is the updated patch for trunk r3357. Let me know if it works for you.

Oops, there was a small bug in version 1. This is now the corrected version 1.1.

#20 - 2010-05-24 20:56 - Alexis Lahouze

| think this feature is necessary for collaborative work on the wiki. This would avoid many problems when users are working on the same part of the
project, and edit the same page at the same moment.

So:

while (true) {
echo "+1";

}

)
https://www.redmine.org/issues/1329
https://www.redmine.org/projects/redmine/repository/svn/revisions/3357
https://www.redmine.org/projects/redmine/repository/svn/revisions/3357

#21 - 2010-05-25 15:47 - Ben Oakes

Nice. +1 toyour +1. ?)
Alexis Lahouze wrote:

| think this feature is necessary for collaborative work on the wiki. This would avoid many problems when users are working on the same part of
the project, and edit the same page at the same moment.

So:

while (true) {
echo "+1";

#22 - 2010-08-04 09:48 - Fredrik Norén

+1

The patch doesn't seem to work with 1.0 (r3858) though, getting the following error:

patching file app/helpers/wiki_helper.rb

patching file app/helpers/application_helper.rb

Hunk #1 FAILED at 402.

1 out of 1 hunk FAILED -- saving rejects to file app/helpers/application_helper.rb.re]
patching file app/controllers/application_controller.rb

patching file app/controllers/wiki_controller.rb

Hunk #1 FAILED at 61.

Hunk #2 succeeded at 245 (offset 11 lines).

1 out of 2 hunks FAILED -- saving rejects to file app/controllers/wiki_controller.rb.rej
patching file app/views/wiki/edit.rhtml

Hunk #1 succeeded at 2 with fuzz 2.

patching file public/stylesheets/application.css

Hunk #1 succeeded at 724 (offset 54 lines).

Hunk #2 succeeded at 764 (offset 54 lines).

#23 - 2011-04-06 09:52 - Etienne Massip

- Target version set to Candidate for next major release

That would be very useful, indeed.

#24 - 2011-04-23 10:17 - Terence Mill

+1

#25 - 2011-06-02 10:40 - Anonymous

+1

#26 - 2011-06-02 12:08 - Jose Mari M

+1

#27 - 2011-08-14 00:48 - Terence Mill

Very useful! PLease include into 1.3

#28 - 2011-09-17 17:01 - Oli Kessler

+1

#29 - 2011-11-15 11:06 - Tomislav Nakic-Alfirevic

+1

#30 - 2011-11-18 17:45 - Jean-Philippe Lang

- Status changed from New to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/3858

- Assignee set to Jean-Philippe Lang
- Target version changed from Candidate for next major release to 1.3.0
- % Done changed from 50 to 100

- Resolution set to Fixed

Feature added in r7829. It also allows multiple users to edit different sections at the same time if they don't conflict.

#31 - 2011-11-18 18:40 - Etienne Massip
- Status changed from Closed to Reopened
Found a glitch:
e if a section contains
QWHATEVER@
, the next section won't be editable
e when editing a section, there is no way to go back to the page
e as a personnal POV, that would be nice to be able to edit the section "inline", meaning staying in the wiki page and being able to see the whole
page contents, like for issue comment editing
Very nice work, though!
#32 - 2011-11-18 19:35 - Jean-Philippe Lang
- Status changed from Reopened to Closed
Etienne Massip wrote:
Found a glitch:

e if a section contains [...], the next section won't be editable

Fixed in r7835.

e when editing a section, there is no way to go back to the page

You mean a Cancel link to go back to the page?

* as a personnal POV, that would be nice to be able to edit the section "inline", meaning staying in the wiki page and being able to see the
whole page contents, like for issue comment editing

| dit it the Wikipedia way but there's certainly room for improvement :-)

Thanks for the feedback.

#33 - 2011-11-18 22:29 - Etienne Massip

Jean-Philippe Lang wrote:

You mean a Cancel link to go back to the page?

Yes, the global idea is that SSE is useful to speed up page editing in focusing on a specific section, so if you change your mind you may want to be
right back to the location you were previously in the page.

| dit it the Wikipedia way but there's certainly room for improvement :-)

That's a very appreciated feature =)(with a cancel button), I'll wait for other peopple feedback =)

#34 - 2011-11-28 09:31 - Etienne Massip

- Status changed from Closed to Reopened

Not confirmed, but could be broken according to Mischa's #9673.
https://www.redmine.org/projects/redmine/repository/svn/revisions/7829
https://www.redmine.org/projects/redmine/repository/svn/revisions/7835
https://www.redmine.org/issues/9673

#35 - 2011-11-29 18:53 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Now fixed.
